<% ' This is the default home page for your personal Web site. It combines HTML with
	 Active Server Pages (ASP) server-side scripting to describe a dynamic home page
	 that displays the information you enter in the Microsoft Personal Web Server
	 control panel. It also shows or hides links and other information based on the 
	 files that are present in your Web site folder. 
	 
	 All ASP tags are handled by PWS, before sending the document to a browser.
	 When viewing this page, a browser will receive standard HTML. ASP is a powerful
	 tool for creating dynamic Web sites. To learn more about how ASP works in
	 Microsoft Personal Web Server for Macintosh, open the Microsoft Personal Web Server 
	 control panel and choose Personal Web Server Help from the Help menu 
	 
	 If you want to create your own Web site content, you can add new files to the 
	 My Personal Web Site folder, or replace these default files completely. ' %>

<% ' ASP variable assignments ' %>

	<% if MyInfo.pageType = "1" then %> <% PageType = "Company" %> <% end if %>
	<% if MyInfo.pageType = "2" then %> <% PageType = "Home" %> <% end if %>
	<% if MyInfo.pageType = "3" then %> <% PageType = "School" %> <% end if %>
	<% if MyInfo.pageType = "4" then %> <% PageType = "Organization" %> <% end if %>
	<% if MyInfo.pageType = "5" then %> <% PageType = "Community" %> <% end if %>
	
	<% cells = 0 %>
	
	<% if myInfo.personalName <> "" or myInfo.personalAddress <> "" or myInfo.personalPhone <> "" 
		or MyInfo.personalMail <> "" or MyInfo.personalWords <> "" then %>
		<% PersonalContent = true %><% cells = cells + 1 %>
	<% else %>
		<% PersonalContent = false %>
	<% end if %>

	<% if tools.FileExists("mypicture.jpg") or tools.FileExists("mypicture.gif") then %>
		<% PersonalPicture = true %><% cells = cells + 1 %>
	<% else %>
		<% PersonalPicture = false %>
	<% end if %>

	<% if myInfo(PageType + "Name") <> "" or myInfo(PageType + "Address") <> "" or 
		myInfo(PageType + "Phone") <> "" or myInfo(PageType + "Department") <> "" or 
		myInfo(PageType + "Words") <> "" or (PageType = "Home" and (myInfo.homeOccupation <> "" or 
		myInfo.homePeople <> "") ) or (PageType = "Community" and (myInfo.communityLocation <> "" or 
		myInfo.communityPopulation <> "")) then %>
		<% PageContent = true %><% cells = cells + 1 %>
	<% else %>
		<% PageContent = false %>
	<% end if %>

	<% if tools.FileExists(pageType & "Picture.jpg") or tools.FileExists(pageType & "Picture.gif") then %>
		<% PagePicture = true %><% cells = cells + 1 %>
	<% else %>
		<% PagePicture = false %>
	<% end if %>

	<% if MyInfo.url1 <> "" or MyInfo.url2 <> "" or MyInfo.url3 <> "" or MyInfo.url4 <> "" or 
		MyInfo.url5 <> "" or MyInfo.url6 <> "" or MyInfo.url7 <> "" or MyInfo.url1Words <> "" or 
		MyInfo.url2Words <> "" or MyInfo.url3Words <> "" or MyInfo.url4Words <> "" or 
		MyInfo.url5Words <> "" or MyInfo.url6Words <> "" or MyInfo.url7Words <> "" then %>
		<% hasLinks = true %>
	<% else %>
		<% hasLinks = false %>
	<% end if %>

<% ' end of variable assignments ' %>

<html>
<head>

<% if not tools.owner and request.querystring("signin") = "true" then %>
	<% response.status = "401 Unauthorized" %>
<% end if %>

<% if MyInfo.personalName <> "" then %>
	<title><% =MyInfo.personalName %>'<% if right(myInfo.personalName, 1) <> "s" then %>s<% end if %> Home Page</title>
<% else %>
	<% if MyInfo(PageType + "Name") <> "" then %>
		<title><% = MyInfo(PageType + "Name") %></title>
	<% else %>
		<title>My Home Page</title>
	<% end if %>
<% end if %>
<%if tools.FileExists("/style.css") then %>
	<LINK REL=STYLESHEET TYPE="text/css" HREF="/style.css">
<% end if %>
</head>

<BODY BGCOLOR="#FFFFFF">

<% if cells > 0 then %> <% 'hides table if no user data ' %>

	<TABLE border=0 cellpadding=8>

	<tr>

	<td valign=top <% if cells > 1 then %> rowspan=2 <% end if %> bgcolor="#CCCCCC" nowrap >
	
<% else %> <% 'if no user data, centers text instead' %>

	<center>

<% end if %>

<%' begin sidebar ' %>

	<h2>Welcome!</h2>
	You are visitor number <% counter.increment( "home" ) %><% = counter.get( "home" ) %>.<p>
	Today is <% = monthname( month( now ) ) %> <% = day( now ) %>, <% = year( now ) %>.<p>
	The local time is <% = time %>.<br>
	<p>

	<% if tools.FileExists( "Message%20Scripts/LeaveMessage.asp" ) or tools.FileExists( "Guestbook/Guestbook.asp" ) 
		or tools.FileExists("My%20Shared%20Documents/") then %>
			<h4>While you are here...</h4>
		<% if tools.FileExists( "Guestbook/Guestbook.asp" ) then %>
			<a href="Guestbook/Guestbook.asp">Read my guestbook</a><br>
		<% end if %>
		
		<% if tools.FileExists( "Message%20Scripts/LeaveMessage.asp" ) then %>
			<a href="Message%20Scripts/LeaveMessage.asp">Leave me a private message</a><br>
		<% end if %>
		
		<% if MyInfo.personalMail <> "" then %>
			<a href="mailto:<% =MyInfo.personalMail %>">Send me e-mail</a><br>
		<% end if %>

		<% if tools.FileExists("My%20Shared%20Documents/") then %>
			<a href="My%20Shared%20Documents/">Access shared documents</a><br>
		<% end if %>
		
	<% end if %>

	<% if hasLinks then %>
		
		<h4>My favorite Web sites...</h4>

		<% if MyInfo.url1 <> "" then %>	
			<a href="<% =server.urlEncode(MyInfo.url1) %>">
				<%if MyInfo.url1Words <> "" then %>
					<% =MyInfo.url1Words %>
				<% else %>
					<% =MyInfo.url1 %>
				<% end if %>
			</a><br>
		<% end if %>
		
		<% if MyInfo.url1 = "" and MyInfo.url1Words <> "" then %>
			<% =MyInfo.url1Words %><br>
		<% end if %>

		<% if MyInfo.url2 <> "" then %>
			<a href="<% =server.urlEncode(MyInfo.url2) %>">
				<%if MyInfo.url2Words <> "" then %>
					<% =MyInfo.url2Words %>
				<% else %>
					<% =MyInfo.url2 %>
				<% end if %>
			</a><br>
		<% end if %>
		
		<% if MyInfo.url2 = "" and MyInfo.url2Words <> "" then %>
			<% =MyInfo.url2Words %><br>
		<% end if %>

		<% if MyInfo.url3 <> "" then %>
			<a href="<% =server.urlEncode(MyInfo.url3) %>">
				<%if MyInfo.url3Words <> "" then %>
					<% =MyInfo.url3Words %>
				<% else %>
					<% =MyInfo.url3 %>
				<% end if %>
			</a><br>
		<% end if %>
		
		<% if MyInfo.url3 = "" and MyInfo.url3Words <> "" then %>
			<% =MyInfo.url3Words %><br>
		<% end if %>

		<% if MyInfo.url4 <> "" then %>
			<a href="<% =server.urlEncode(MyInfo.url4) %>">
				<%if MyInfo.url4Words <> "" then %>
					<% =MyInfo.url4Words %>
				<% else %>
					<% =MyInfo.url4 %>
				<% end if %>
			</a><br>
		<% end if %>
		
		<% if MyInfo.url4 = "" and MyInfo.url4Words <> "" then %>
			<% =MyInfo.url4Words %><br>
		<% end if %>

		<% if MyInfo.url5 <> "" then %>
			<a href="<% =server.urlEncode(MyInfo.url5) %>">
				<%if MyInfo.url5Words <> "" then %>
					<% =MyInfo.url5Words %>
				<% else %>
					<% =MyInfo.url5 %>
				<% end if %>
			</a><br>
		<% end if %>
		
		<% if MyInfo.url5 = "" and MyInfo.url5Words <> "" then %>
			<% =MyInfo.url5Words %><br>
		<% end if %>

		<% if MyInfo.url6 <> "" then %>
			<a href="<% =server.urlEncode(MyInfo.url6) %>">
				<%if MyInfo.url6Words <> "" then %>
					<% =MyInfo.url6Words %>
				<% else %>
					<% =MyInfo.url6 %>
				<% end if %>
			</a><br>
		<% end if %>
		
		<% if MyInfo.url6 = "" and MyInfo.url6Words <> "" then %>
			<% =MyInfo.url6Words %><br>
		<% end if %>

		<% if MyInfo.url7 <> "" then %>
			<a href="<% =server.urlEncode(MyInfo.url7) %>">
				<%if MyInfo.url7Words <> "" then %>
					<% =MyInfo.url7Words %>
				<% else %>
					<% =MyInfo.url7 %>
				<% end if %>
			</a><br>
		<% end if %>
		
		<% if MyInfo.url7 = "" and MyInfo.url7Words <> "" then %>
			<% =MyInfo.url7Words %><br>
		<% end if %>

	<% end if %> <% 'ends if haslink' %>
		
	<% if tools.owner then %>

		<h4>Site Administration</h4>
					
			<% if tools.FileExists( "/$Received%20Messages/" ) then %>
				<a href="/$Received%20Messages/">Read private messages</a><br>
			<% end if %>
			
			<a href="/$status/">Check server status</a><br>
		
			<% if myInfo.Log_Activity = "Yes" then %>
				<a href="/$status/?viewlog">View web site activity log</a><br>
			<% end if %>

			<% if tools.PluginExists( "ftp plug-in" ) then %>
				<a href="/admin.ftp">Configure FTP server</a><br>
			<% end if %>
			
			<a href="http:/$status/?shutdown">Stop server</a><br>
			
			<% if myInfo.Allow_Directory_Listings = "Yes" then %>
				<p>
				<h4>Remote Disk Access</h4>
				<a href="/$diskbrowse/">Browse disks (standard)</a><br>
				<a href="/$disk/">Download Mac files (use binhex)</a><br>
			<% end if %>
			
	<% else %>
	
		<h4><a href="/?signin=true">Owner Sign-in</a></h4>
		
	<% end if %> <% 'ends if tools.owner' %>

	<%if tools.fileExists("ie_animated.gif") then %>
		<center>
			<% if not tools.owner then %>
 				&nbsp; <p> &nbsp; <p>
 			<% end if %>
			<p>	<a href="http://www.microsoft.com/ie/"><img src="ie_animated.gif" border=0 hight=31 width=88></a>
		</center>
	<% end if %>
	
<%' end of sidebar ' %>
		
<% if cells > 0 then %> <% 'checks for user content' %>
	
	<TD width=<% if cells < 3 then %>60<% else %>18<% end if %>>
	<TD align=center valign=middle <% if cells = 3 and PageContent and PagePicture then %> colspan=2 <% end if %>>
	
	<% if PersonalPicture then %>
	
		<% if tools.FileExists("mypicture.jpg") then %>
			<img src="mypicture.jpg">
		<% else %>
			<% if tools.FileExists("mypicture.gif") then %>
				<img src="mypicture.gif">
			<% end if %>
		<% end if %>
	
		<% if cells = 2 and PersonalContent then %>
			</tr>
			<TR><TD>
		<% end if %>
		
		<% if (cells > 1 and PersonalContent) then %>
			<TD valign=middle align=center>
		<% end if %>
				
	<% end if %>
	
	<% if PersonalContent then %>
	
		<% if myInfo.personalName <> "" then %>
			<h1><% =MyInfo.personalName %></h1>
		<% end if %>

		<% if myInfo.personalAddress <> "" then %>
			<% =MyInfo.personalAddress %><br>
		<% end if %>

		<% if myInfo.personalPhone <> "" then %>
			<% =MyInfo.personalPhone %><br>
		<% end if %>

		<% if MyInfo.personalMail <> "" %>
			<a href="mailto:<% =MyInfo.personalMail %>"><% =MyInfo.personalMail %></a>
		<% end if %>

		<% if MyInfo.personalWords <> "" then %>
			<h3><% = MyInfo.personalWords %></h3>
		<% end if %>
	
	<% end if %>
	
	<% if (cells = 2 and ((PersonalPicture or PersonalContent) and (PagePicture or PageContent)) ) or cells > 2 then %>

		</tr>
		<TR><TD>
			
			<TD align=center valign=middle <% if cells = 3 and PersonalContent and PersonalPicture then %> colspan=2 <% end if %> >

	<% end if %>
		
		<% if PageContent then %>

			<% if MyInfo(PageType + "Name") <> "" then %>
				<h1><% = MyInfo(PageType + "Name") %></h1>
			<% else %>
					<% if PageType <> "Home" then %><h1>About My <% = PageType %></h1><% end if %>
			<% end if %>

			<% if MyInfo(PageType + "Department") <> "" then %>
				<p><% = MyInfo(PageType + "Department") %><p>
			<% end if %>

			<% if MyInfo(PageType + "Address") <> "" then %>
				<% = MyInfo(PageType + "Address") %><br>
			<% end if %>

			<% if MyInfo(PageType + "Phone") <> "" then %>
				<% = MyInfo(PageType + "Phone") %><br>
			<% end if %>

			<% if PageType = "Home" then %>
				
				<% if MyInfo.homeOccupation <> "" then %>
					<h3>My occupation...<br><% = MyInfo.homeOccupation %></h3>
				<% end if %>

				<% if MyInfo.homePeople <> "" then %>
					<h3>I live with...<br><% = MyInfo.homePeople %></h3>
				<% end if %>
			
			<% end if %>

			<% if PageType = "Community" then %>
			
				<% if MyInfo.communityLocation <> "" then %>
					Location: <% = MyInfo.communityLocation %><br>
				<% end if %>

				<% if MyInfo.communityPopulation <> "" then %>
					Population: <% = MyInfo.communityPopulation %>
				<% end if %>

			<% end if %>

			<% if MyInfo(PageType + "Words") <> "" then %>
				<h3><% if PageType = "Home" then %>I spend my time...<br><% end if %><% = MyInfo(PageType + "Words") %></h3>
			<% end if %>
						
		<% end if %> <% ' end if pageContent ' %>

	<% if cells = 2 and PageContent and PagePicture then %>
	
		</tr>
		<TR><TD>
	
	<% end if %>
	
	<% if cells > 1 and PagePicture and PageContent then %>

		<TD valign=middle align=center>

	<% end if %>

		<% if PagePicture then %>

				<% if tools.FileExists( PageType + "Picture.jpg") then %>
					<img src= "<% = PageType + "Picture.jpg" %>">
				<% else %>
					<% if tools.FileExists( PageType + "Picture.gif") then %>
						<img src= "<% = PageType + "Picture.gif" %>">
					<% end if %>
				<% end if %>
				
		<% end if %>
		</tr>
				
	</table>

	
<% else %> <% ' if no user content, the text is centered' %>

	</center>
	
<% end if %> <% 'ends if cells > 0' %>

</body>

</html>